Bug 3350

Summary: "Clone This Bug" link should require editbugs
Product: [Websites] maemo.org Website Reporter: Ryan Abel <rabelg5>
Component: BugzillaAssignee: Karsten Bräckelmann <karstenb>
Status: RESOLVED FIXED QA Contact: Ferenc Szekely <bugzilla>
Severity: enhancement    
Priority: High CC: karstenb
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: All   
URL: https://bugs.maemo.org/show_bug.cgi?id=3338

Description Ryan Abel (reporter) maemo.org 2008-06-30 12:25:11 UTC
Bug #3338 seems to be a spam-bug made as a direct result of the "Clone This
Bug" link. Normal users really don't have any reason to use this, so the link
should probably only be made available to those with editbugs.

User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US)
AppleWebKit/525.18 (KHTML, like Gecko, Safari/525.20) OmniWeb/v622.1.0.101671
Comment 1 Karsten Bräckelmann 2008-07-02 00:16:26 UTC
(In reply to comment #0)
> Bug #3338 seems to be a spam-bug made as a direct result of the "Clone This
> Bug" link. Normal users really don't have any reason to use this, so the link

True... Usually.

> should probably only be made available to those with editbugs.

This is wrong, though. Cloning bugs really is not the same as editbugs privs.
Other than the note about the bug being cloned, there is no real relation
between these two. And it really doesn't edit anything. Basically, cloning a
bug pretty much is the same as filing a new bug -- which any user can do.

There is not much one can do to prevent filing dupes deliberately [1] -- short
of educating the users. IMHO, bug 3338 is not a spam, but a confused user who
didn't know better, trying to leave a /me too comment.


That all said -- the Cloning feature isn't actually used in this bugzilla, and
it makes little sense to offer it to editbugs users either. So, Ryan, what do
you think about simply removing this functionality all together?

Getting rid of a not-used, confusing option can only benefit the users.


[1] Yes, I have seen this in other bugzillas before. The user even left a
    comment that this new bug is the same issue as...
Comment 2 Ryan Abel (reporter) maemo.org 2008-07-19 22:55:40 UTC
(In reply to comment #1)
> Getting rid of a not-used, confusing option can only benefit the users.
> 

I don't particularly have a problem with that, but I do think SOME people use
it, so we should probably talk to them first. Requiring editbugs nicely solves
the issue, though. Non-editbugs users don't even need to see the link.

Now, if making the link only visible to editbugs users is too work, then I
think we should get some input from people who actually use the link and go
from there.
Comment 3 Karsten Bräckelmann 2008-08-10 23:37:11 UTC
Assigning to me. Proposed to be done during the next Sprint.
Comment 4 Karsten Bräckelmann 2008-08-24 20:01:40 UTC
Err, accepted for the Sprint. ;)
Comment 5 Karsten Bräckelmann 2008-09-02 00:53:20 UTC
(In reply to comment #2)
> I don't particularly have a problem with that, but I do think SOME people use
> it, so we should probably talk to them first. Requiring editbugs nicely solves
> the issue, though.

Good point. Even if cloning isn't actively used right now, this bugzilla
default feature might become more useful in the future.

> Non-editbugs users don't even need to see the link.

Again, as I already mentioned in comment 1, cloning pretty much is the same as
filing a new bug. It definitely is in no way editing, nor related to
confirming.

I fully agree though, that this feature is confusing at best for the average
user.
Comment 6 Karsten Bräckelmann 2008-09-02 02:33:12 UTC
Fixed in SVN, will be pushed to the live bugzilla the next few days.

Turned out to be more confusing than expected, and seriously a bitch to verify,
despite the actual code being trivial. Also, bugzilla by default displays a lot
of junk if you're not logged in -- including stuff you won't see once you're
properly logged in...

The "Clone This Bug" option now is only available for users with canconfirm or
editbugs privileges. The latter implies canconfirm. Also, this option is not
available, unless the user actually is logged in.

(We settled for canconfirm rather than editbugs only, because we trust those
users to file good and valid bug reports anyway.)